org.apache.tapestry5.internal.services.assets

## Class JavaScriptStackMinimizeDisabler

- java.lang.Object
- - org.apache.tapestry5.internal.services.assets.DelegatingSRS
  - - org.apache.tapestry5.internal.services.assets.JavaScriptStackMinimizeDisabler

- All Implemented Interfaces:
    StreamableResourceSource

      public class JavaScriptStackMinimizeDisabler
      extends DelegatingSRS

  Attempts to match resources against a `JavaScriptStack`, and possibly disabled minimization based on the stack.
  Since:
    5.4

- - ### Field Summary

    - ### Fields inherited from class org.apache.tapestry5.internal.services.assets.DelegatingSRS

      `delegate`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JavaScriptStackMinimizeDisabler(StreamableResourceSource delegate, JavaScriptStackSource javaScriptStackSource, Request request)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `StreamableResource` | `getStreamableResource(Resource baseResource, StreamableResourceProcessing processing, ResourceDependencies dependencies)` Converts a Resource (which must be non-null and exist) into a streamable resource, along with some additional optional behaviors.

    - ### Methods inherited from class org.apache.tapestry5.internal.services.assets.DelegatingSRS

      `fileExtensionsForContentType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JavaScriptStackMinimizeDisabler

          public JavaScriptStackMinimizeDisabler(StreamableResourceSource delegate,
                                                 JavaScriptStackSource javaScriptStackSource,
                                                 Request request)

  - ### Method Detail

    - #### getStreamableResource

          public StreamableResource getStreamableResource(Resource baseResource,
                                                          StreamableResourceProcessing processing,
                                                          ResourceDependencies dependencies)
                                                   throws IOException

      Description copied from interface: `StreamableResourceSource`
      Converts a Resource (which must be non-null and exist) into a streamable resource, along with some additional optional behaviors.
      Specified by:
        `getStreamableResource` in interface `StreamableResourceSource`
      Overrides:
        `getStreamableResource` in class `DelegatingSRS`
      Parameters:
        `baseResource` - the resource to convert
        `processing` - defines additional processing after the resource has been read and possibly transformed
        `dependencies` - Passed to any `ResourceTransformer` to track additional dependencies of the base resource
      Returns:
        the contents of the Resource, possibly transformed, in a streamable format.
      Throws:
        `IOException` - if the resource does not exist or a URL for the content is not available

${project.version} - Copyright © 2003-2015 The Apache Software Foundation.